<?php
if (!defined('NEXUM_VERSION')) {
    // Replace the version number of the theme on each release.
    define('NEXUM_VERSION', wp_get_theme()->get('Version'));
}
define('NEXUM_DEBUG', defined('WP_DEBUG') && WP_DEBUG === true);
define('NEXUM_DIR', trailingslashit(get_template_directory()));
define('NEXUM_URL', trailingslashit(get_template_directory_uri()));
if (!function_exists('nexum_support')) :

    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * @since walker_fse 1.0.0
     *
     * @return void
     */
    function nexum_support()
    {
        // Add default posts and comments RSS feed links to head.
        add_theme_support('automatic-feed-links');
        // Add support for block styles.
        add_theme_support('wp-block-styles');
        add_theme_support('post-thumbnails');
        // Enqueue editor styles.
        add_editor_style('style.css');
    }

endif;
add_action('after_setup_theme', 'nexum_support');

function nexum_style()
{
    wp_enqueue_style(
        'nexum-style',
        get_stylesheet_uri(),
        array(),
        wp_get_theme()->get('Version')
    );
    if (is_rtl()) {
        wp_enqueue_style('rtl-css', get_template_directory_uri() . '/assets/css/rtl.css', 'rtl_css');
    }
    // registering js for theme
    wp_enqueue_script('jquery');
}
add_action('wp_enqueue_scripts', 'nexum_style');

/**
 * Enqueue assets scripts for both backend and frontend
 */
function nexum_block_style()
{
    wp_enqueue_style('nexum-block-style', get_template_directory_uri() . '/assets/css/block.css', array());
    wp_enqueue_style('nexum-swiper-bundle-style', get_template_directory_uri() . '/assets/css/swiper-bundle.css');
    wp_enqueue_script('nexum-swiper-bundle-js', get_template_directory_uri() . '/assets/js/swiper-bundle.js', array('jquery'), NEXUM_VERSION, true);
    wp_enqueue_script('nexum-scripts', get_template_directory_uri() . '/assets/js/nexum-scripts.js', array('jquery'), NEXUM_VERSION, true);
}
add_action('enqueue_block_assets', 'nexum_block_style');
function nexum_admin_style()
{
    $hello_notice_current_screen = get_current_screen();
    if (!empty($_GET['page']) && 'about-nexum' === $_GET['page'] || $hello_notice_current_screen->id === 'themes' || $hello_notice_current_screen->id === 'dashboard') {
        wp_enqueue_style('nexum-admin-style', get_template_directory_uri() . '/assets/css/admin-style.css', array(), NEXUM_VERSION, 'all');
    }
}
add_action('admin_enqueue_scripts', 'nexum_admin_style');

/**
 * Load core file.
 */
require_once get_template_directory() . '/inc/core/init.php';

/**
 * Load welcome page file.
 */
require_once get_template_directory() . '/inc/admin/welcome-notice.php';

if (!function_exists('nexum_excerpt_more_postfix')) {
    function nexum_excerpt_more_postfix($more)
    {
        if (is_admin()) {
            return $more;
        }
        return '...';
    }
    add_filter('excerpt_more', 'nexum_excerpt_more_postfix');
}
